using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;
namespace lr3
{
    public partial class Form1 : Form

    {
        static string cs = new MySqlConnectionStringBuilder() 
        {
            UserID = "root", //користувач
            Password = "Ваш пароль",
            Database = "Ваша БД",
            Server = "localhost" //сервер підключення
        }.ConnectionString;

        public static MySqlConnection con = new MySqlConnection(cs); 
            
        public Form1()
        {
            InitializeComponent();
            con.Open(); 
        }

        private void читачіToolStripMenuItem_Click(object sender, EventArgs e)
        {
           Form2 f2 = new Form2(con); 
           f2.ShowDialog();
            
        }

        private void книгиToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form3 f3 = new Form3(con); 
            f3.ShowDialog();
        }

        private void бібліотекаріToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form4 f4 = new Form4(con); 
            f4.ShowDialog();
        }

        private void посадиToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form5 f5 = new Form5(con); 
            f5.ShowDialog();
        }

        private void відділиToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form6 f6 = new Form6(con); 
            f6.ShowDialog();
        }

        private void вихідToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void Form1_Load_1(object sender, EventArgs e)
        {

        }

        

        private void кількістьВиданихКнигToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form12 f12 = new Form12(con);
            f12.ShowDialog();
        }

        private void кількістьВиданихКнигпоБібліотекарямToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form13 f13 = new Form13(con);
            f13.ShowDialog();
        }

        private void складToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form14 f14 = new Form14(con);
            f14.ShowDialog();
        }

        private void облікНаданихПослугToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form15 f15 = new Form15(con);
            f15.ShowDialog();
        }

        private void постачальникиToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form16 f16 = new Form16(con);
            f16.ShowDialog();
        }

        private void облікПостачаньToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Form17 f17 = new Form17(con);
            f17.ShowDialog();
        }

        private void облікНаданихПослугToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Form15 f15 = new Form15(con);
            f15.ShowDialog();
        }
    }
}
